# Date Class Reference

Inherits ObjectImpl.

List of all members.

## Detailed Description

Simple transcoder for converting between external char and wchar_t strings and internal strings.

## Public Member Functions

| Date ()
| Date (log4cxx_time_t time)
virtual | ~Date ()
log4cxx_time_t | getTime () const
log4cxx_time_t | getNextSecond () const
| Get start of next second.

## Static Public Member Functions

static log4cxx_time_t | getMicrosecondsPerDay ()
static log4cxx_time_t | getMicrosecondsPerSecond ()

## Constructor & Destructor Documentation

Date | ( |  | ) |

Date | ( | log4cxx_time_t | time | ) |

virtual ~Date | ( |  | ) | `[virtual]`

## Member Function Documentation

static log4cxx_time_t getMicrosecondsPerDay | ( |  | ) | `[static]`

static log4cxx_time_t getMicrosecondsPerSecond | ( |  | ) | `[static]`

log4cxx_time_t getNextSecond | ( |  | ) | const

| Get start of next second.

log4cxx_time_t getTime | ( |  | ) | const`[inline]`

The documentation for this class was generated from the following file:

- date.h